# 无参构造方法
class Car:
    def __init__(self):
        self. color = "红色"
    def drive(self):
        print(f"车的颜色为:{self. color}")
car_one = Car() #创建对象并初始化
car_one.drive()
car_two = Car() #创建对象并初始化
car_two.drive()

#有参构造方法
class Car:
    def __init__(self,color):
        self.color = color  # 将形参赋值给属性
    def drive(self):
        print(f"车的颜色为:{self. color}")
car_one = Car("红色")  # 创建对象,并根据实参初始化属性
car_one.drive()
car_two = Car("蓝色")  # 创建对象,并根据实参初始化属性
car_two.drive()